#MenuTitle: Interpolation Curve
# -*- coding: utf-8 -*-
__doc__="""
Draw the interpolation curve based on the instances values.
Open a font. Run the script and look for the PDF on your desktop.  
"""


from drawBot import *
from GlyphsApp import *


font = Glyphs.font
fonts = Glyphs.fonts


w, h = 600, 410
tX = 10
tY = 190
size(w, h)

scale(2)


def drawcurve (eachFont, x1, y1, n):
    text(txt, (x1+10, y1))
    
    line((x1, y1), (x2, y2))
    
    fill(color[0], color[1], color[2],1)
    oval(x2-2, y2-2, 4, 4)


for eachFont in fonts:
    AllInstances = eachFont.instances
    color = (random(), random(), random(), 1) 
    stroke(color[0], color[1], color[2], 1)
    n=50
    x = n
    y = eachFont.instances[0].weightValue
    x1 = x
    y1 = y
    
    save()
    fill(color[0], color[1], color[2],1)
    stroke()
    fontSize(8)
    text(eachFont.familyName, (tX, tY))
    tY = tY - 12
    restore()

    for i in AllInstances:
        x2 = x1+n
        y2 = i.weightValue
        
        if y != y2:
            fill(color[0], color[1], color[2],1)
            oval(x1-2, y1-2, 4, 4)
            
            txt = FormattedString()
            txt.append(str(int(y1)), fontSize=5,fill=(color[0], color[1], color[2],1))    

        
            drawcurve(eachFont, x1, y1, n)
            x1 = x2
            y1 = y2
    txt2 = FormattedString()
    txt2.append(str(int(y2)), fontSize=5, fill=(color[0], color[1], color[2],1))        
    text(txt2, (x2+10, y2))

saveImage("~/Desktop/interpolationCurve.pdf")
